Package com.sun.jna.platform.win32

## Class Psapi.PERFORMANCE_INFORMATION

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Psapi.PERFORMANCE_INFORMATION

- Enclosing interface:
    Psapi

      @FieldOrder({"cb","CommitTotal","CommitLimit","CommitPeak","PhysicalTotal","PhysicalAvailable","SystemCache","KernelTotal","KernelPaged","KernelNonpaged","PageSize","HandleCount","ProcessCount","ThreadCount"})
      public static class Psapi.PERFORMANCE_INFORMATION
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `WinDef.DWORD` | `cb` |
    `BaseTSD.SIZE_T` | `CommitLimit` |
    `BaseTSD.SIZE_T` | `CommitPeak` |
    `BaseTSD.SIZE_T` | `CommitTotal` |
    `WinDef.DWORD` | `HandleCount` |
    `BaseTSD.SIZE_T` | `KernelNonpaged` |
    `BaseTSD.SIZE_T` | `KernelPaged` |
    `BaseTSD.SIZE_T` | `KernelTotal` |
    `BaseTSD.SIZE_T` | `PageSize` |
    `BaseTSD.SIZE_T` | `PhysicalAvailable` |
    `BaseTSD.SIZE_T` | `PhysicalTotal` |
    `WinDef.DWORD` | `ProcessCount` |
    `BaseTSD.SIZE_T` | `SystemCache` |
    `WinDef.DWORD` | `ThreadCount` |

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PERFORMANCE_INFORMATION()` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cb

          public WinDef.DWORD cb

    - #### CommitTotal

          public BaseTSD.SIZE_T CommitTotal

    - #### CommitLimit

          public BaseTSD.SIZE_T CommitLimit

    - #### CommitPeak

          public BaseTSD.SIZE_T CommitPeak

    - #### PhysicalTotal

          public BaseTSD.SIZE_T PhysicalTotal

    - #### PhysicalAvailable

          public BaseTSD.SIZE_T PhysicalAvailable

    - #### SystemCache

          public BaseTSD.SIZE_T SystemCache

    - #### KernelTotal

          public BaseTSD.SIZE_T KernelTotal

    - #### KernelPaged

          public BaseTSD.SIZE_T KernelPaged

    - #### KernelNonpaged

          public BaseTSD.SIZE_T KernelNonpaged

    - #### PageSize

          public BaseTSD.SIZE_T PageSize

    - #### HandleCount

          public WinDef.DWORD HandleCount

    - #### ProcessCount

          public WinDef.DWORD ProcessCount

    - #### ThreadCount

          public WinDef.DWORD ThreadCount

  - ### Constructor Detail

    - #### PERFORMANCE_INFORMATION

          public PERFORMANCE_INFORMATION()